---
title: HTMLFormElement.reset()
slug: Web/API/HTMLFormElement/reset
tags:
  - API
  - HTML DOM
  - HTMLFormElement
  - Method
  - NeedsMarkupWork
  - NeedsSpecTable
  - Reference
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The <strong><code>HTMLFormElement.reset()</code></strong> method restores a form element's default values. This method does the same thing as clicking the form's reset button.</p>

<p>If a form control (such as a reset button) has a name or id of <var>reset</var> it will mask the form's reset method. It does not reset other attributes in the input, such as <code>disabled</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>HTMLFormElement</em>.reset()
</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">document.getElementById('myform').reset();
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-form-reset', 'HTMLFormElement: reset')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLFormElement.reset")}}</p>
